# CMSIS-DSP: arm_sin_q15.c File Reference

| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_sin_q15.c File Reference

## Functions

q15_t | arm_sin_q15 (q15_t x)
| Fast approximation to the trigonometric sine function for Q15 data.